Package groovy.xml.slurpersupport

# Class NodeIterator

java.lang.Object
groovy.xml.slurpersupport.NodeIterator

All Implemented Interfaces:
  `Iterator`

public abstract class NodeIterator extends Object implements Iterator
Helper class for iterating through nodes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeIterator(Iterator iter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract Object`
  `getNextNode(Iterator iter)`
  `boolean`
  `hasNext()`
  `Object`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### NodeIterator

    public NodeIterator(Iterator iter)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator`

  - ### next

    public Object next()
    Specified by:
      `next` in interface `Iterator`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator`

  - ### getNextNode

    protected abstract Object getNextNode(Iterator iter)